import org.jboss.byteman.contrib.bmunit.BMNGRunner;
import org.jboss.byteman.contrib.bmunit.BMScript;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

import java.net.URISyntaxException;

public class SimplePreloadTest extends BMNGRunner {

    Simple s = new Simple();

    @BeforeClass
    public void loadURI() throws ClassNotFoundException {
        Class.forName("java.net.URI");
    }

    @BMScript(value = "uri-exception", dir = "src/test/scripts")
    @Test(expectedExceptions = URISyntaxException.class)
    public void testBMScriptOKURI() throws URISyntaxException {
        s.newOKURI();
    }


}
